---
editUrl: false
next: false
prev: false
title: "makePlugin"
---

> **makePlugin**\<`V`\>(`type`, `execute`): [`Plugin`](/v3/api/interfaces/plugin/)\<`V`\>

## Type parameters

• **V** *extends* `unknown`[]

## Parameters

• **type**: [`PluginType`](/v3/api/enumerations/plugintype/)

• **execute**

## Returns

[`Plugin`](/v3/api/interfaces/plugin/)\<`V`\>

## Source

[src/core/create-plugins.ts:6](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/create-plugins.ts#L6)
